Subject: Re: Re: Tracking remote branches

From: Heiko Voigt <[email-masked]>
Date: Mon, 14 Sep 2009 21:19:58 +0200

On Mon, Sep 14, 2009 at 03:30:10PM -0300, Thiago Farina wrote:
> On Mon, Sep 14, 2009 at 2:01 AM, Nicolas Sebrecht <[email-masked]> wrote:
> > The 13/09/09, Thiago Farina wrote:
> > $ git checkout -t origin/maint
> >
> >> OK, now I switched to maint branch. And then I did:
> >> $ git status
> >>
> >> # On branch maint
> >> # Changes to be committed
> >> #    (use "git reset HEAD <file>..." to unstage)
> >> #
> >> #          new file:    git-remote-curl
> >> #          new file:    git-replace
> >> #
> >>
> >> What happened here? What I have to do now?
>
> Why these files has this status? Is supposed to me to do something
> about that when this situation occurs?

I just checked and this is because you probably made a build on the
master branch which creates these files. They are untracked but ignored
through the .gitignore file in the master branch.

Now the situation is that the .gitignore on the current 'maint' branch
does not have these files ignored because they are quite new.

In this situation you can do a

  git clean -f

which gets rid of all untracked but not ignored files (all files that
git status shows as new) or

  make clean

while you are still on the master branch.

cheers Heiko